Bug 1447324

Summary: Provide useful packaging-macros
Product: [Fedora] Fedora Reporter: Björn 'besser82' Esser <besser82>
Component: luaAssignee: Tim Niemueller <tim>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: athmanem, besser82, drjohnson1, michel, tcallawa, tim
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: lua-5.3.4-2.fc24 lua-5.3.4-2.fc25 lua-5.3.4-3.fc25 lua-5.3.4-3.fc24 lua-5.3.4-3.fc26 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-05-31 09:03:47 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1455344, 1455345, 1873676    
Attachments:
Description Flags
Modifications for providing rpm-macros in lua-devel
none
Updated patch with rhbz# besser82: review?

Description Björn 'besser82' Esser 2017-05-02 12:21:49 UTC
Created attachment 1275670 [details]
Modifications for providing rpm-macros in lua-devel

Description of problem:

  The lua packaging-draft [1] recommends using some macros for packaging,
  but they need to be defined separately in every single spec-file.


Suggestion:

  Add rpm-macros file to lua-devel.


[1]  https://fedoraproject.org/wiki/PackagingDrafts/Lua

Comment 1 Björn 'besser82' Esser 2017-05-02 12:22:56 UTC
This macro can easily be backported for el6 and el7, too.

Comment 2 Björn 'besser82' Esser 2017-05-02 13:20:08 UTC
Created attachment 1275691 [details]
Updated patch with rhbz#

Comment 3 Björn 'besser82' Esser 2017-05-02 13:36:00 UTC
Scratch build with patch applied:  https://koji.fedoraproject.org/koji/taskinfo?taskID=19372040

Comment 4 Björn 'besser82' Esser 2017-05-24 13:48:06 UTC
Since there hasn't been any reply on this within the last 3 weeks, I'm going to apply my patch in scm using my provenpackager powers.

Comment 5 Fedora Update System 2017-05-24 14:06:10 UTC
lua-5.3.4-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f271706796

Comment 6 Fedora Update System 2017-05-24 14:06:21 UTC
lua-5.3.4-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-949ac525e5

Comment 7 Fedora Update System 2017-05-24 14:06:28 UTC
lua-5.3.4-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-71cd8c32df

Comment 8 Fedora Update System 2017-05-25 19:21:22 UTC
lua-5.3.4-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-71cd8c32df

Comment 9 Fedora Update System 2017-05-26 06:00:16 UTC
lua-5.3.4-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f271706796

Comment 10 Fedora Update System 2017-05-26 06:03:09 UTC
lua-5.3.4-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-949ac525e5

Comment 11 Fedora Update System 2017-05-28 03:57:01 UTC
lua-5.3.4-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-05-28 06:00:58 UTC
lua-5.3.4-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-05-28 08:58:37 UTC
lua-5.3.4-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a075f3aef6

Comment 14 Fedora Update System 2017-05-28 08:58:44 UTC
lua-5.3.4-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-82d1ec5bc2

Comment 15 Fedora Update System 2017-05-28 08:58:50 UTC
lua-5.3.4-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ef9d6a101c

Comment 16 Björn 'besser82' Esser 2017-05-28 09:01:59 UTC
After the latest updates went stable, lua-devel provides the following macros on Fedora 24+:

%lua_version %{lua: print(string.sub(_VERSION, 5))}

%lua_libdir %{_libdir}/lua/%{lua_version}
%lua_pkgdir %{_datadir}/lua/%{lua_version}

%lua_requires \
%if 0%{?fedora} >= 16 || 0%{?rhel} >= 7 \
Requires: lua(abi) = %{lua_version} \
%else \
Requires: lua >= %{lua_version} \
Requires: lua < %{lua: os.setlocale('C'); print(string.sub(_VERSION, 5) + 0.1)} \
%endif \
%{nil}

I will update the wiki page about the packaging draft accordingly.  I'm looking forward to get these macros backported to RHEL 6+, so packaging is straight forward for all supported distro-releases.

Comment 17 Björn 'besser82' Esser 2017-05-28 09:14:51 UTC
Bugs for RHEL are filed:

  el6:  https://bugzilla.redhat.com/show_bug.cgi?id=1455344
  el7:  https://bugzilla.redhat.com/show_bug.cgi?id=1455345

Comment 18 Fedora Update System 2017-05-28 21:37:15 UTC
lua-5.3.4-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ef9d6a101c

Comment 19 Fedora Update System 2017-05-29 14:01:53 UTC
lua-5.3.4-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-82d1ec5bc2

Comment 20 Fedora Update System 2017-05-29 14:04:35 UTC
lua-5.3.4-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a075f3aef6

Comment 21 Fedora Update System 2017-05-31 09:03:47 UTC
lua-5.3.4-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2017-06-01 13:55:37 UTC
lua-5.3.4-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2017-06-09 19:13:46 UTC
lua-5.3.4-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.